Bug 259167 - Digikam crashes when searching for missing thumbnails
Summary: Digikam crashes when searching for missing thumbnails
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Thumbs-Engine (show other bugs)
Version: 1.4.0
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-07 21:01 UTC by Stefano P.
Modified: 2019-08-15 13:00 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 6.3.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefano P. 2010-12-07 21:01:13 UTC
Application: digikam (1.4.0)
KDE Platform Version: 4.5.3 (KDE 4.5.3)
Qt Version: 4.7.0
Operating System: Linux 2.6.32-26-generic x86_64
Distribution: Ubuntu 10.04.1 LTS

-- Information about the crash:
- What I was doing when the application crashed:
application was searching for missing thumbnails;
tried after having uppdated many related packages.

The crash can be reproduced every time.

-- Backtrace:
Application: digiKam (digikam), signal: Segmentation fault
[Current thread is 1 (Thread 0x7f31776357c0 (LWP 1879))]

Thread 15 (Thread 0x7f3156ade700 (LWP 2090)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f31705a2eab in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x2c9a600, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x2c9a600, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00000000006f16ab in Digikam::ScanController::run (this=0x2c987f0) at /build/buildd/digikam-1.4.0/digikam/scancontroller.cpp:515
#4  0x00007f31705a22ee in QThreadPrivate::start (arg=0x2c987f0) at thread/qthread_unix.cpp:266
#5  0x00007f31703109ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007f316edce70d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 14 (Thread 0x7f31562dd700 (LWP 2183)):
#0  0x00007fffb0b19904 in clock_gettime ()
#1  0x00007f31670b109f in *__GI_clock_gettime (clock_id=1, tp=0x7f31562dcac0) at ../sysdeps/unix/clock_gettime.c:100
#2  0x00007f31705f74af in do_gettime () at tools/qelapsedtimer_unix.cpp:105
#3  qt_gettime () at tools/qelapsedtimer_unix.cpp:119
#4  0x00007f31706c31ed in QTimerInfoList::updateCurrentTime (this=0x1) at kernel/qeventdispatcher_unix.cpp:339
#5  0x00007f31706c3215 in QTimerInfoList::timerWait (this=0x1, tm=...) at kernel/qeventdispatcher_unix.cpp:442
#6  0x00007f31706c13cd in timerSourcePrepareHelper (src=<value optimized out>, timeout=0x7f31562dcbfc) at kernel/qeventdispatcher_glib.cpp:136
#7  0x00007f31706c1475 in timerSourcePrepare (source=0x1, timeout=0x7f31562dcac0) at kernel/qeventdispatcher_glib.cpp:169
#8  0x00007f316bc47eb1 in g_main_context_prepare () from /lib/libglib-2.0.so.0
#9  0x00007f316bc48318 in ?? () from /lib/libglib-2.0.so.0
#10 0x00007f316bc488fc in g_main_context_iteration () from /lib/libglib-2.0.so.0
#11 0x00007f31706c11d6 in QEventDispatcherGlib::processEvents (this=0x2e227f0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:417
#12 0x00007f3170693dd2 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#13 0x00007f31706941bc in QEventLoop::exec (this=0x7f31562dcd90, flags=) at kernel/qeventloop.cpp:201
#14 0x00007f317059f36d in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:490
#15 0x00007f31705a22ee in QThreadPrivate::start (arg=0x2e35930) at thread/qthread_unix.cpp:266
#16 0x00007f31703109ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#17 0x00007f316edce70d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#18 0x0000000000000000 in ?? ()

Thread 13 (Thread 0x7f31558cf700 (LWP 2184)):
#0  0x00007fffb0b19904 in clock_gettime ()
#1  0x00007f31670b109f in *__GI_clock_gettime (clock_id=1, tp=0x7f31558ceac0) at ../sysdeps/unix/clock_gettime.c:100
#2  0x00007f31705f74af in do_gettime () at tools/qelapsedtimer_unix.cpp:105
#3  qt_gettime () at tools/qelapsedtimer_unix.cpp:119
#4  0x00007f31706c31ed in QTimerInfoList::updateCurrentTime (this=0x1) at kernel/qeventdispatcher_unix.cpp:339
#5  0x00007f31706c3215 in QTimerInfoList::timerWait (this=0x1, tm=...) at kernel/qeventdispatcher_unix.cpp:442
#6  0x00007f31706c13cd in timerSourcePrepareHelper (src=<value optimized out>, timeout=0x7f31558cebfc) at kernel/qeventdispatcher_glib.cpp:136
#7  0x00007f31706c1475 in timerSourcePrepare (source=0x1, timeout=0x7f31558ceac0) at kernel/qeventdispatcher_glib.cpp:169
#8  0x00007f316bc47eb1 in g_main_context_prepare () from /lib/libglib-2.0.so.0
#9  0x00007f316bc48318 in ?? () from /lib/libglib-2.0.so.0
#10 0x00007f316bc488fc in g_main_context_iteration () from /lib/libglib-2.0.so.0
#11 0x00007f31706c11d6 in QEventDispatcherGlib::processEvents (this=0x2e35ce0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:417
#12 0x00007f3170693dd2 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#13 0x00007f31706941bc in QEventLoop::exec (this=0x7f31558ced90, flags=) at kernel/qeventloop.cpp:201
#14 0x00007f317059f36d in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:490
#15 0x00007f31705a22ee in QThreadPrivate::start (arg=0x2e35dd0) at thread/qthread_unix.cpp:266
#16 0x00007f31703109ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#17 0x00007f316edce70d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#18 0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7f314ffff700 (LWP 2185)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f31705a2eab in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x2e529d8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x2e529d8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f317460fb3c in Digikam::ParkingThread::run (this=0x2e529c0) at /build/buildd/digikam-1.4.0/libs/threads/threadmanager.cpp:101
#4  0x00007f31705a22ee in QThreadPrivate::start (arg=0x2e529c0) at thread/qthread_unix.cpp:266
#5  0x00007f31703109ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007f316edce70d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7f314f7fe700 (LWP 2186)):
#0  0x00007fffb0b19904 in clock_gettime ()
#1  0x00007f31670b109f in *__GI_clock_gettime (clock_id=1, tp=0x7f314f7fdac0) at ../sysdeps/unix/clock_gettime.c:100
#2  0x00007f31705f74af in do_gettime () at tools/qelapsedtimer_unix.cpp:105
#3  qt_gettime () at tools/qelapsedtimer_unix.cpp:119
#4  0x00007f31706c31ed in QTimerInfoList::updateCurrentTime (this=0x1) at kernel/qeventdispatcher_unix.cpp:339
#5  0x00007f31706c3215 in QTimerInfoList::timerWait (this=0x1, tm=...) at kernel/qeventdispatcher_unix.cpp:442
#6  0x00007f31706c13cd in timerSourcePrepareHelper (src=<value optimized out>, timeout=0x7f314f7fdbfc) at kernel/qeventdispatcher_glib.cpp:136
#7  0x00007f31706c1475 in timerSourcePrepare (source=0x1, timeout=0x7f314f7fdac0) at kernel/qeventdispatcher_glib.cpp:169
#8  0x00007f316bc47eb1 in g_main_context_prepare () from /lib/libglib-2.0.so.0
#9  0x00007f316bc48318 in ?? () from /lib/libglib-2.0.so.0
#10 0x00007f316bc488fc in g_main_context_iteration () from /lib/libglib-2.0.so.0
#11 0x00007f31706c11d6 in QEventDispatcherGlib::processEvents (this=0x7f31480052c0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:417
#12 0x00007f3170693dd2 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#13 0x00007f31706941bc in QEventLoop::exec (this=0x7f314f7fdd90, flags=) at kernel/qeventloop.cpp:201
#14 0x00007f317059f36d in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:490
#15 0x00007f31705a22ee in QThreadPrivate::start (arg=0x2ea7620) at thread/qthread_unix.cpp:266
#16 0x00007f31703109ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#17 0x00007f316edce70d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#18 0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7f314effd700 (LWP 2187)):
#0  0x00007f316edc1f93 in *__GI___poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f316bc484a9 in ?? () from /lib/libglib-2.0.so.0
#2  0x00007f316bc488fc in g_main_context_iteration () from /lib/libglib-2.0.so.0
#3  0x00007f31706c11d6 in QEventDispatcherGlib::processEvents (this=0x2ea7920, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:417
#4  0x00007f3170693dd2 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#5  0x00007f31706941bc in QEventLoop::exec (this=0x7f314effcd90, flags=) at kernel/qeventloop.cpp:201
#6  0x00007f317059f36d in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:490
#7  0x00007f31705a22ee in QThreadPrivate::start (arg=0x2ea94a0) at thread/qthread_unix.cpp:266
#8  0x00007f31703109ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#9  0x00007f316edce70d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7f31426e7700 (LWP 2188)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:211
#1  0x00007f314c581081 in ?? () from /usr/lib/libxine.so.1
#2  0x00007f31703109ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#3  0x00007f316edce70d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7f31412ab700 (LWP 2189)):
#0  0x00007f316edc6ff3 in select () at ../sysdeps/unix/syscall-template.S:82
#1  0x00007f314c5aa2c5 in xine_usec_sleep () from /usr/lib/libxine.so.1
#2  0x00007f314c58ec99 in ?? () from /usr/lib/libxine.so.1
#3  0x00007f31703109ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#4  0x00007f316edce70d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7f3140aaa700 (LWP 2190)):
#0  0x00007f316bc47df5 in g_main_context_prepare () from /lib/libglib-2.0.so.0
#1  0x00007f316bc48318 in ?? () from /lib/libglib-2.0.so.0
#2  0x00007f316bc488fc in g_main_context_iteration () from /lib/libglib-2.0.so.0
#3  0x00007f31706c11d6 in QEventDispatcherGlib::processEvents (this=0x349b210, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:417
#4  0x00007f3170693dd2 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#5  0x00007f31706941bc in QEventLoop::exec (this=0x7f3140aa9d30, flags=) at kernel/qeventloop.cpp:201
#6  0x00007f317059f36d in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:490
#7  0x00007f314c7ff2b0 in ?? () from /usr/lib/qt4/plugins/phonon_backend/phonon_xine.so
#8  0x00007f31705a22ee in QThreadPrivate::start (arg=0x349abe0) at thread/qthread_unix.cpp:266
#9  0x00007f31703109ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#10 0x00007f316edce70d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7f31400a4700 (LWP 2191)):
#0  0x00007f316edc1f93 in *__GI___poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f316ead341f in ?? () from /usr/lib/libpulse.so.0
#2  0x00007f316eac2d86 in pa_mainloop_poll () from /usr/lib/libpulse.so.0
#3  0x00007f316eac4809 in pa_mainloop_iterate () from /usr/lib/libpulse.so.0
#4  0x00007f316eac48c0 in pa_mainloop_run () from /usr/lib/libpulse.so.0
#5  0x00007f316ead321b in ?? () from /usr/lib/libpulse.so.0
#6  0x00007f3166e990e8 in ?? () from /usr/lib/libpulsecommon-0.9.21.so
#7  0x00007f31703109ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#8  0x00007f316edce70d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#9  0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7f313b8a2700 (LWP 2192)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f314c591e23 in ?? () from /usr/lib/libxine.so.1
#2  0x00007f31703109ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#3  0x00007f316edce70d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f313b0a1700 (LWP 2193)):
#0  0x00007f3170314a2d in __pthread_mutex_unlock_usercnt (mutex=0x36e0288) at pthread_mutex_unlock.c:52
#1  __pthread_mutex_unlock (mutex=0x36e0288) at pthread_mutex_unlock.c:290
#2  0x00007f316bc47bcd in g_main_context_check () from /lib/libglib-2.0.so.0
#3  0x00007f316bc484c3 in ?? () from /lib/libglib-2.0.so.0
#4  0x00007f316bc488fc in g_main_context_iteration () from /lib/libglib-2.0.so.0
#5  0x00007f31706c11d6 in QEventDispatcherGlib::processEvents (this=0x36df8d0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:417
#6  0x00007f3170693dd2 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#7  0x00007f31706941bc in QEventLoop::exec (this=0x7f313b0a0d50, flags=) at kernel/qeventloop.cpp:201
#8  0x00007f317059f36d in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:490
#9  0x00007f3170673b48 in QInotifyFileSystemWatcherEngine::run (this=0x36df550) at io/qfilesystemwatcher_inotify.cpp:248
#10 0x00007f31705a22ee in QThreadPrivate::start (arg=0x36df550) at thread/qthread_unix.cpp:266
#11 0x00007f31703109ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#12 0x00007f316edce70d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#13 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f31367c6700 (LWP 2201)):
#0  0x00007fffb0b19904 in clock_gettime ()
#1  0x00007f31670b109f in *__GI_clock_gettime (clock_id=1, tp=0x7f31367c5a80) at ../sysdeps/unix/clock_gettime.c:100
#2  0x00007f31705f74af in do_gettime () at tools/qelapsedtimer_unix.cpp:105
#3  qt_gettime () at tools/qelapsedtimer_unix.cpp:119
#4  0x00007f31706c31ed in QTimerInfoList::updateCurrentTime (this=0x1) at kernel/qeventdispatcher_unix.cpp:339
#5  0x00007f31706c3215 in QTimerInfoList::timerWait (this=0x1, tm=...) at kernel/qeventdispatcher_unix.cpp:442
#6  0x00007f31706c13cd in timerSourcePrepareHelper (src=<value optimized out>, timeout=0x7f31367c5bbc) at kernel/qeventdispatcher_glib.cpp:136
#7  0x00007f31706c1475 in timerSourcePrepare (source=0x1, timeout=0x7f31367c5a80) at kernel/qeventdispatcher_glib.cpp:169
#8  0x00007f316bc47eb1 in g_main_context_prepare () from /lib/libglib-2.0.so.0
#9  0x00007f316bc48318 in ?? () from /lib/libglib-2.0.so.0
#10 0x00007f316bc488fc in g_main_context_iteration () from /lib/libglib-2.0.so.0
#11 0x00007f31706c11d6 in QEventDispatcherGlib::processEvents (this=0x3a4b6a0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:417
#12 0x00007f3170693dd2 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#13 0x00007f31706941bc in QEventLoop::exec (this=0x7f31367c5d50, flags=) at kernel/qeventloop.cpp:201
#14 0x00007f317059f36d in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:490
#15 0x00007f3170673b48 in QInotifyFileSystemWatcherEngine::run (this=0x3a45b80) at io/qfilesystemwatcher_inotify.cpp:248
#16 0x00007f31705a22ee in QThreadPrivate::start (arg=0x3a45b80) at thread/qthread_unix.cpp:266
#17 0x00007f31703109ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#18 0x00007f316edce70d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#19 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f31347c2700 (LWP 2563)):
[KCrash Handler]
#6  0x00007f31745f3457 in Digikam::ThumbnailLoadingTask::execute (this=0x6d1f690) at /build/buildd/digikam-1.4.0/libs/threadimageio/thumbnailtask.cpp:94
#7  0x00007f31745d2386 in Digikam::LoadSaveThread::run (this=0x3a02fb0) at /build/buildd/digikam-1.4.0/libs/threadimageio/loadsavethread.cpp:116
#8  0x00007f3174610e46 in Digikam::DynamicThreadPriv::run (this=0x3a065d0) at /build/buildd/digikam-1.4.0/libs/threads/dynamicthread.cpp:237
#9  0x00007f3170597d82 in QThreadPoolThread::run (this=0x8b6adb0) at concurrent/qthreadpool.cpp:106
#10 0x00007f31705a22ee in QThreadPrivate::start (arg=0x8b6adb0) at thread/qthread_unix.cpp:266
#11 0x00007f31703109ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#12 0x00007f316edce70d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#13 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f31776357c0 (LWP 1879)):
#0  0x00007f316edc1f93 in *__GI___poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f3166a4929a in ?? () from /usr/lib/libxcb.so.1
#2  0x00007f3166a497d7 in ?? () from /usr/lib/libxcb.so.1
#3  0x00007f3166a49a85 in xcb_writev () from /usr/lib/libxcb.so.1
#4  0x00007f316d6e36fa in _XSend () from /usr/lib/libX11.so.6
#5  0x00007f316d6cfa55 in ?? () from /usr/lib/libX11.so.6
#6  0x00007f316d6cfc2e in XPutImage () from /usr/lib/libX11.so.6
#7  0x00007f31714d7036 in qt_x11_drawImage (rect=<value optimized out>, pos=..., image=<value optimized out>, hd=<value optimized out>, gc=<value optimized out>, dpy=<value optimized out>, 
    visual=0x2a4c070, depth=24) at painting/qpaintengine_x11.cpp:1880
#8  0x00007f31714da8ad in QX11PaintEngine::drawImage (this=<value optimized out>, r=<value optimized out>, image=..., sr=<value optimized out>, flags=<value optimized out>)
    at painting/qpaintengine_x11.cpp:1901
#9  0x00007f3171426801 in QPainter::drawImage (this=<value optimized out>, p=<value optimized out>, image=...) at painting/qpainter.cpp:5599
#10 0x00007f31745ef86d in QPainter::drawImage (this=0x3a02fb0, description=..., thumb=...) at /usr/include/qt4/QtGui/qpainter.h:925
#11 Digikam::ThumbnailLoadThread::slotThumbnailLoaded (this=0x3a02fb0, description=..., thumb=...) at /build/buildd/digikam-1.4.0/libs/threadimageio/thumbnailloadthread.cpp:547
#12 0x00007f31745efe1e in Digikam::ThumbnailLoadThread::slotThumbnailsAvailable (this=0x3a02fb0) at /build/buildd/digikam-1.4.0/libs/threadimageio/thumbnailloadthread.cpp:526
#13 0x00007f31745f0064 in Digikam::ThumbnailLoadThread::qt_metacall (this=0x3a02fb0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7f3150817400)
    at /build/buildd/digikam-1.4.0/obj-x86_64-linux-gnu/digikam/thumbnailloadthread.moc:93
#14 0x00007f31706a6e7e in QObject::event (this=0x3a02fb0, e=0x7fffb0aee0e0) at kernel/qobject.cpp:1219
#15 0x00007f31712c26ec in QApplicationPrivate::notify_helper (this=0x2a46a80, receiver=0x3a02fb0, e=0x7f3151273040) at kernel/qapplication.cpp:4396
#16 0x00007f31712c81dd in QApplication::notify (this=0x7fffb0aef440, receiver=0x3a02fb0, e=0x7f3151273040) at kernel/qapplication.cpp:4277
#17 0x00007f317201e926 in KApplication::notify (this=0x7fffb0aef440, receiver=0x3a02fb0, event=0x7f3151273040) at ../../kdeui/kernel/kapplication.cpp:310
#18 0x00007f31706950ac in QCoreApplication::notifyInternal (this=0x7fffb0aef440, receiver=0x3a02fb0, event=0x7f3151273040) at kernel/qcoreapplication.cpp:732
#19 0x00007f3170697fd2 in QCoreApplication::sendEvent (receiver=0x0, event_type=<value optimized out>, data=0x2a07f50) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#20 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=<value optimized out>, data=0x2a07f50) at kernel/qcoreapplication.cpp:1373
#21 0x00007f31706c1643 in QCoreApplication::sendPostedEvents (s=0x2a4a6e0) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:220
#22 postEventSourceDispatch (s=0x2a4a6e0) at kernel/qeventdispatcher_glib.cpp:277
#23 0x00007f316bc448c2 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#24 0x00007f316bc48748 in ?? () from /lib/libglib-2.0.so.0
#25 0x00007f316bc488fc in g_main_context_iteration () from /lib/libglib-2.0.so.0
#26 0x00007f31706c1183 in QEventDispatcherGlib::processEvents (this=0x2a076a0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:415
#27 0x00007f317137497e in QGuiEventDispatcherGlib::processEvents (this=0x7fffb0aee0e0, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#28 0x00007f3170693dd2 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#29 0x00007f31706941bc in QEventLoop::exec (this=0x7fffb0aef2b0, flags=) at kernel/qeventloop.cpp:201
#30 0x00007f317069826b in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1009
#31 0x000000000077e0ed in main (argc=<value optimized out>, argv=<value optimized out>) at /build/buildd/digikam-1.4.0/digikam/main.cpp:195

This bug may be a duplicate of or related to bug 255953.

Possible duplicates by query: bug 259031, bug 255953, bug 250134, bug 247977, bug 247940.

Reported using DrKonqi
Comment 1 Martin Klapetek 2010-12-07 21:31:11 UTC

*** This bug has been marked as a duplicate of bug 255953 ***
Comment 2 caulier.gilles 2010-12-20 06:54:14 UTC
*** Bug 260764 has been marked as a duplicate of this bug. ***
Comment 3 caulier.gilles 2019-08-15 13:00:05 UTC
Fixed with bug #255953